Can I update iPod touch to iOS 4.:

I have iPod touch version 4.2.1 (8c148) model mc086c

I can't install some apps I got a pop up window to install

Update required
This app requires iOS 4.3
Ok
LVL 4
koilaAsked:
Who is Participating?
 
akahanConnect With a Mentor Commented:
"I have iPod touch version 4.2.1 (8c148) model mc086c".

There is no iPod Touch version 4.2.1.  4.2.1 is the version of the operating system software (IOS) you have installed, not the version of the device.  Your iPod is a Second Generation 8 gigabyte iPod Touch.

IOS 4.2.1 is the most recent version of IOS that will run on that device; you can't install IOS 4.3 on it.  Apps that require 4.3 (or higher) will not run on your device.
0
 
strungCommented:
Check  Software Updates in Settings:General:Software Update to see what system software updates are available.
0
 
koilaAuthor Commented:
How can i find app for my iOS
0
 
akahanCommented:
You can't.  The apps that are available are in the iTunes Store.  When a new version of an app is released, the older versions are typically made unavailable.

Before buying an app from the iTunes Store, you need to review the documentation for the app and make sure it runs on your version of IOS.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.